﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
public class Timer : MonoBehaviour {

	public Text m_timerText;
	private GameController m_GameController = null;

	public float Countdown_Timer = 60.0f;
	private float m_timeLeft=0;
	private bool m_timer_running=false;
	private bool m_alert_mode=false;


	// Use this for initialization
	void Start () {
		m_timeLeft = Countdown_Timer;
		m_timerText.text = m_timeLeft.ToString ("0.00");
		m_GameController = (GameController) GetComponent(typeof(GameController));

	}

	public void StartTimer(){
		print ("Starting timer");
		m_timeLeft = Countdown_Timer;
		m_timerText.text = m_timeLeft.ToString("0.00");
		m_timer_running = true;
	}

	public void StopTimer(){
		print ("Stopping timer");
		m_timer_running = false;
		m_timerText.color = Color.green;
		m_timerText.text = "Accepted";
	}





	void TimerFinished(){
		print ("Timer Finished");
		m_timer_running = false;
		m_timerText.text = "Alert";
		m_alert_mode = true;

		m_GameController.CountDownFinished();
	}


	
	// Update is called once per frame
	void Update () {
		if (m_timer_running) {
			m_timeLeft -= Time.deltaTime;
			m_timerText.text = m_timeLeft.ToString("0.00");
			if (m_timeLeft <= 0) {
				TimerFinished ();
			}
		}
	}	
}
