﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AlertController : MonoBehaviour {

	private AudioSource m_alertAudio = null;
	public GameObject AlertLight;
	public GameObject vaultLights;
	private bool m_alert_enabled=false;

	// Use this for initialization
	void Start() {
		m_alertAudio = GetComponent<AudioSource>();

	}

	public void StartAlert(){
		print ("Starting alert");
		m_alertAudio.Play();
		m_alertAudio.Play(44100);
		m_alert_enabled = true;
		AlertLight.SetActive (true);
		vaultLights.SetActive (false);
	}

	// Update is called once per frame
	void Update () {
		if (m_alert_enabled) {
			AlertLight.transform.Rotate(Vector3.up *151.0f* Time.deltaTime);
		}
		
	}
}
